---
# tasks file for jenkins

- name: Instalacao das Dependencias
  yum:
    name: "{{ item }}"
    state: present
  loop:
    - epel-release
    - java-1.8.0

- name: Instalando a Chave GPG
  rpm_key:
    key: https://pkg.jenkins.io/redhat-stable/jenkins.io.key
    state: present
    validade_certs: no

- name: Instalando o Repositorio do Jenkins
  yum_repository:
    name: jenkins
    description: Jenkins Repo
    baseurl: https://pkg.jenkins.io/redhat-stable/jenkins.repo

- name: Instalando o Jenkins e o Git
  yum:
    name: "{{ item }}"
    state: present
  loop:
    - jenkins
#    - git

- name: Iniciando e Habilitando o Servico do Jenkins
  systemd:
    name: jenkins
    state: started
    enabled: yes
